Gunzip(3)

NAME
    XMLTV::Gunzip - wrapper to Compress::Zlib or gzip(1)

SYNOPSIS
    use XMLTV::Gunzip;
    my $decompressed = gunzip($gzdata);
    my $fh = gunzip_open('file.gz') or die;
    while (<$fh>) { print }

Compress::Zlib will be used if installed, otherwise an external gzip will be spawned. gunzip() returns the decompressed data and throws an exception if things go wrong; gunzip_open() returns a filehandle, or undef.

AUTHOR
Ed Avis, ed@membled.com. Distributed as part of the xmltv package.

SEE ALSO
Compress::Zlib, gzip(1), XMLTV.